#include <tdeapplication.h>
#include <tdecmdlineargs.h>
#include <tdeaboutdata.h>

#include "version.h"
#include "topwidget.h"

static const char description[] = I18N_NOOP("TDE Space Game");

int main(int argc,char **argv)
{
   TDEAboutData aboutData( "kspaceduel", I18N_NOOP("KSpaceDuel"), 
      KSPACEDUEL_VERSION, description, TDEAboutData::License_GPL, 
      "(c) 1998-2000, Andreas Zehender");
   aboutData.addAuthor("Andreas Zehender",0, "az@azweb.de");
   TDECmdLineArgs::init( argc, argv, &aboutData );

   TDEApplication myapplication;
   MyTopLevelWidget* top = new MyTopLevelWidget( );
   myapplication.setMainWidget(top);
   top->show();
   top->start();
   return myapplication.exec();
}

#ifdef kspaceduel_only_for_xgettext
i18n( "Default" ), i18n( "Bullet" ), i18n( "Chaos" ), i18n( "Lack of energy" )
#endif     

